<bugID>1291927<Summary>Previous search results in Location Bar are not cleared until next search</Summary><Description>This issue has existed since at least Firefox 47 ...

When you begin typing something in the location bar, the dropdown, when it first appears (for a very brief moment), shows the results from the prior search.

This will occur if your last search was entered (i.e. you press enter and are sent to your configured search engine), or whether you simply use the backspace button or otherwise clear the location bar and then begin typing something else.

To reproduce:
1) type a search phrase that produces several results (optimally something that produces the most results that can be shown (this might be achieved by i.e. just typing the letter "e"))
2) backspace until the location bar is empty and the results are hidden
3) paste the following random string (which should produce no results other than "Search with ...") into the location bar: "uzkkqxdrxjowjlms" and watch carefully ...
4) notice that the results for "e" show up momentarily, then the results shrink and only show the "Search with" result applicable to your new search.</Description></bugID>